<?
  session_start();
  include("../../clases/BDConexion.php");
  include("../../clases/clsPer.php");
  include("../Funciones.php");
  include("../funcion/funciones.php");
  
  $objPer=new clsPer;
    
  $resultado=$objPer->getAreaUsu($_SESSION['usuarioId']);
  $fila=$objPer->NextRow($resultado);
    if($serie==1){
		$nombre_p="NUM_SOLI_SERV_I";
		$num_serie="001";
		$suc='S';
	}else{
		$nombre_p="NUM_SOLI_SERV_L";
		$num_serie="002";
		$suc='S'; 
	} 
	$result=$objPer->getNumParametroAreas($nombre_p,$fila['area']);	
	$row=$objPer->NextRow($result);
	$corre=$row['orden'];
	$num_req=getNumCeros($num_req);
	$existe=$objPer->ExisteOrdenSer($suc.$corre.$num_req,$num_serie,$fila['area']);
	$fecha_req=extraerfechamysql($fecha_req);	
	$fecha_atencion=extraerfechamysql($fecha_atencion);	
	if($existe==0){	
	$cod_req=$objPer->registrarOrdenSer($suc.$corre.$num_req,$fecha_req,$obser_req,$num_serie,$motivo_uso,$fila['area']); 	
		while(list($clave,$valor)=each($pedido)){
		$nombres=$valor[0];
		$cantidad_p=$valor[1];
		$estado=$valor[2];			
		$objPer->registrarOrdenDS($suc.$corre.$num_req,$nombres,$cantidad_p,$fecha_req,$estado,$solicitante,$lugar);
		}
	}else{
		while(list($clave,$valor)=each($pedido)){
		$nombres=$valor[0];
		$cantidad_p=$valor[1];
		$estado=$valor[2];						
		$objPer->registrarOrdenDS($suc.$corre.$num_req,$nombres,$cantidad_p,$fecha_req,$estado,$solicitante,$lugar);
		}
	}	
	$objPer->UpdateParametroAreas($nombre_p,$num_req,$fila['area']);
	//$objPer->UpdateNumSerCorre('numsercorre',$corre);
//Redirigir("../cvp_pedido.php?borrar=1&cod=x&serie=$serie");	
Redirigir("../dir_print_ser.php?borrar=1&cod=x&num_serie=$num_serie&serie=$serie&num_req=$num_req&suc=$suc&corre=$corre");
?>